> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Gnosis Safe Integration

> Generates or imports an EVM proposer keypair, encrypts it, upserts the Safe integration and invalidates existing accounts.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-gnosis-safe-integration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-gnosis-safe-integration:
    post:
      operationId: createGnosisSafeIntegration
      summary: Create Gnosis Safe Integration
      description: >-
        Generates or imports an EVM proposer keypair, encrypts it, upserts the
        Safe integration and invalidates existing accounts.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGnosisSafeIntegrationRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateGnosisSafeIntegrationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateGnosisSafeIntegrationRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        signerPrivateKey:
          type: string
          pattern: ^(0x)?[a-fA-F0-9]{64}$
    CreateGnosisSafeIntegrationResponse:
      type: object
      properties:
        signerIdentityID:
          type: string
        gnosisSafeIntegrationID:
          type: string
        signerPublicKey:
          type: string
        keyGeneratedAt:
          type: string
        invalidatedAccountCount:
          type: number
      required:
        - signerIdentityID
        - gnosisSafeIntegrationID
        - signerPublicKey
        - keyGeneratedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
